compat: add support for linux 3.1